body {
    margin: 0;
    padding: 0;
    font-family: 'franklin-gothic-urw', sans-serif;
    overflow: hidden;
}

hr {
    border: none;
    border-top: 1px solid rgba(0, 0, 0, 0.25);
    margin-bottom: 15px;
}


#map {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
}

#yearlogo {
    position: fixed;
    z-index: 9999;
    top: 40px;
    right: 40px;
    height: 120px;
    width: 120px;
}

@media (max-width: 1024px) {
    #yearlogo {
        height: 80px;
        width: 80px;
        top: 20px;
        right: 20px;
    }
}

#sidebar {
    position: fixed;
    top: 0;
    right: -400px;
    width: 400px;
    height: 100%;
    background-color: #f9f9f9;
    padding: 48px;
    overflow-y: auto;
    border-left: 1px solid #ddd;
    box-shadow: -4px 0 6px rgba(0, 0, 0, 0.2);
    transition: right 0.3s ease-in-out;
    box-sizing: border-box;
    z-index: 100000;
}

#sidebar.open {
    right: 0;
}

#sidebar .close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    font-size: 18px;
    cursor: pointer;
}

#sidebar-content {
    margin-top: 0;
}

#sidebar-title {
    font-size: 36px;
    font-weight: bold;
    margin-bottom: 0;
}

.first-pub {
    color: #7e7e7e;
    font-size: 24px;
    font-weight: bold;
    margin-top: 15px;
}

.article-byline {
    font-size: 18px;
    font-weight: bold;
}

#sidebar a {
    color: #ee7143;
    text-decoration: underline;
    text-decoration-style: dotted;
    text-underline-offset: 4px;
    line-height: 1.75em;
}

#controls {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    background: none;
    padding: 10px;
    border-radius: 8px;
    width: 400px;
}

#year-display {
    font-size: 32px;
    font-weight: 900;
    text-align: center;
    margin-bottom: 8px;
    margin-right: 15px;
}

input[type="range"] {
    width: 100%;
    -webkit-appearance: none;
    appearance: none;
    height: 6px;
    background: linear-gradient(to right, #1993c3 0%, #1993c3 var(--progress, 100%), #ee7143 var(--progress, 100%), #ee7143 100%);
    border-radius: 3px;
    outline: none;
    border: 2px solid white;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 12px;
    height: 12px;
    background: #fff;
    border: 2px solid #000;
    border-radius: 50%;
    cursor: pointer;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 8px;
    height: 36px;
    background: black;
    border: 0.5px solid white;
    border-radius: 0;
    cursor: pointer;
}

input[type="range"]::-moz-range-thumb {
    width: 8px;
    height: 36px;
    background: black;
    border: 0.5px solid white;
    border-radius: 0;
    cursor: pointer;
}

#slider-hint {
    position: absolute;
    bottom: 120px; /* Above the slider */
    left: 50%;
    margin-right: 20px;
    transform: translateX(-50%);
    background: rgba(0, 0, 0, 0.7);
    color: white;
    padding: 6px 12px;
    font-size: 14px;
    border-radius: 24px;
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
  }
  
  #slider-hint.hidden {
    opacity: 0;
  }

ul {
    padding-left: 20px;
}

li a {
    text-decoration: none;
    color: #007acc;
}

li a:hover {
    text-decoration: underline;
}

.legend {
    background-color: #e8e8e8;
    border-radius: 15px;
    border: solid 1px #fff;
    bottom: 45px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
    padding: 10px 15px;
    position: absolute;
    left: 50px;
    width: 250px;
    font-family: 'franklin-gothic-urw', sans-serif;
    z-index: 1;
}

@media (max-width: 1024px) {
    .legend {
        bottom: 115px;
        left: 50%;
        transform: translateX(-50%);
    }
}

.legend p {
    margin: 0;
    width: 200px;
}

.legend a {
    color: #717C7D;
}

.legend a:visited {
    color: #000;
}

.legend-header {
    font-size: 18px;
    margin-bottom: 8px;
    color: #7c7e81;
    text-align: left;
    font-weight: lighter;
}

.legend i {
    border-radius: 50%;
    display: inline-block;
    height: 12px;
    width: 12px;
    margin-right: 5px;
    margin-top: 6px;
}

.legend div {
    clear: both;
}

.legend .color-box {
    float: left;
    width: 12px;
    height: 12px;
    margin: 5px 8px 5px 0;
}

.legend h4 {
    text-align: left;
    margin-top: 0;
}

.circle-container {
    display: flex;
    align-items: center;
    width: 100%;
}

#margin-balance {
    margin-bottom: 10px;
}

.alignment-div {
    position: relative;
    height: 50px;
    width: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.circle {
    position: absolute;
}

.circle span {
    display: block;
    border-radius: 50%;
    background-color: transparent;
    border: 1px solid #473729;
}

.label {
    position: absolute;
    left: 100%;
    white-space: nowrap;
    margin-left: 20px;
    align-self: center;
}